Update multiple tags
curl --request PUT \
--url https://www.getsnippets.ai/api/prompts/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagName": "<string>",
"tagColor": "<string>",
"parentTagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://www.getsnippets.ai/api/prompts/tags"
payload = { "tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagName": "<string>",
"tagColor": "<string>",
"parentTagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tags: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tagName: '<string>',
tagColor: '<string>',
parentTagId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://www.getsnippets.ai/api/prompts/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"updatedTags": [
{}
],
"errors": [
{}
]
},
"usage": {
"remainingRequests": 123,
"usageDeducted": 123
}
}Tags
Update Multiple Tags
Updates multiple tags in a single request. API Cost: N requests (one per tag).
PUT
/
tags
Update multiple tags
Authorizations
API key authentication using Bearer token. Include your API key in the Authorization header.
Body
application/json
Show child attributes
Show child attributes
⌘I